#pragma once

#include <cstddef>
#include <memory>

#include <Ship/Cargo.h>
#include <Ship/CargoFactory.h>

class ItemFactory : public CargoFactory<Item::Type> {
public:
    std::unique_ptr<Cargo> create(size_t amount, Item::Type type) override {
        return std::make_unique<Item>(amount, type);
    }
};
